GLOBAL_MAPPER_SCRIPT VERSION=1.00
UNLOAD_ALL

// Import an archived SDTS DEM file. Global Mapper will automatically 
// determine that this is an archived SDTS DEM file and load it
// correctly.
IMPORT FILENAME="C:\DATA\SDTS_DEM\24K\RED ROCK CANYON, CO - 30M.DEM.SDTS.TAR.GZ" ANTI_ALIAS=YES 

// Create a new VRML file
EXPORT_ELEVATION FILENAME="C:\DATA\VRML\RED ROCK CANYON, CO.WRL" TYPE=VRML VERT_EXAG=12

// Generate 50 ft contours from the loaded DEM data.
GENERATE_CONTOURS INTERVAL=50 ELEV_UNITS=FEET

// Export the contours to a new DXF file. The created file will have
// 3D polyline features for the contours.
EXPORT_VECTOR FILENAME="C:\DATA\EXPORTED DATA\CONTOURS.DXF" TYPE=DXF GEN_PRJ_FILE=YES

// Export the contours to a 3D shape file.
EXPORT_VECTOR FILENAME="C:\DATA\EXPORTED DATA\CONTOURS.SHP" TYPE=SHAPEFILE  \
    SHAPE_TYPE=LINES GEN_3D_LINES=YES GEN_PRJ_FILE=YES

// Export the contours to a simple ASCII text file
EXPORT_VECTOR FILENAME="C:\DATA\EXPORTED DATA\CONTOURS.XYZ" TYPE=SIMPLE_ASCII \
    COORD_DELIM=SEMICOLON FEATURE_SEP=BLANK_LINE EXPORT_ELEV=YES EXPORT_ATTRS=YES

